<?php

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function edify_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'edify' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'edify' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		)
	);	

	register_sidebar(
		array(
			'name'          => esc_html__( 'Shop Sidebar', 'edify' ),
			'id'            => 'shop-sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'edify' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		)
	);	
	
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer About', 'edify' ),
			'id'            => 'sidebar-2',
			'description'   => esc_html__( 'Add widgets here.', 'edify' ),
			'before_widget' => ' ',
			'after_widget'  => ' ',
			'before_title'  => ' ',
			'after_title'   => ' ',
		)
	);	
	
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer Widgets', 'edify'),
			'id'            => 'sidebar-3',
			'description'   => esc_html__( 'Add Other widgets here.', 'edify' ),
			'before_widget' => '<div class="col-xl-3 col-sm-4"><div class="footer-widget mb-2">',
			'after_widget'  => '</div></div> ',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		)
	);
}
add_action( 'widgets_init', 'edify_widgets_init' );